> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/items/{id} > Retrieves the purchase item specified by the id ## OpenAPI ````json GET /public/v1/items/{id} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/items/{id}": { "get": { "tags": [ "inventory" ], "description": "Retrieves the purchase item specified by the id", "parameters": [ { "name": "id", "in": "path", "description": "The identifier of the purchase item", "required": true, "schema": { "type": "string($uuid)" } } ], "responses": { "200": { "description": "The purchase item entity", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.PurchaseItems.Models.PurchaseItemPublicDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.PurchaseItems.Models.PurchaseItemPublicDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.PurchaseItems.Models.PurchaseItemPublicDto" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Inventory.Public.Contracts.PurchaseItems.Models.PurchaseItemPublicDto": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the purchase item.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the purchase item.", "nullable": true }, "number": { "type": "string", "description": "The number of the purchase item.", "nullable": true }, "isActive": { "type": "boolean", "description": "Indicates whether the purchase item is active." }, "costAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "inventoryAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "wasteAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "donationAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "costUpdateMethod": { "type": "string", "description": "The cost update method of the purchase item.", "nullable": true }, "description": { "type": "string", "description": "The description of the purchase item.", "nullable": true }, "reportingUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "inventoryUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "inventoryUnitOfMeasure2": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "inventoryUnitOfMeasure3": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "equivalenceEachUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "equivalenceEachQuantity": { "type": "number", "description": "The equivalence quantity for the Each measure type.", "format": "double", "nullable": true }, "equivalenceWeightUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "equivalenceWeightQuantity": { "type": "number", "description": "The equivalence quantity for the Weight measure type.", "format": "double", "nullable": true }, "equivalenceVolumeUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "equivalenceVolumeQuantity": { "type": "number", "description": "The equivalence quantity for the Volume measure type.", "format": "double", "nullable": true }, "itemCategory1": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemCategoryReference" }, "itemCategory2": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemCategoryReference" }, "itemCategory3": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemCategoryReference" }, "isKeyItem": { "type": "boolean", "description": "Indicates whether the purchase item is a key item." }, "type": { "type": "string", "description": "The type of the purchase item.", "nullable": true, "readOnly": true }, "measureType": { "type": "string", "description": "The measure type of the purchase item.", "nullable": true }, "createdBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who created the purchase item." }, "createdOn": { "type": "string", "description": "The time at which the record was created.", "format": "date-time" }, "modifiedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who last modified the purchase item." }, "modifiedOn": { "type": "string", "description": "The time at which the record was last modified.", "format": "date-time" } }, "additionalProperties": false, "description": "A purchase item." }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the general ledger account." }, "name": { "type": "string", "nullable": true, "description": "Display name of the general ledger account." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the general ledger account." } }, "additionalProperties": false, "description": "A reference to a General Ledger Account." }, "R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the unit of measure." }, "name": { "type": "string", "nullable": true, "description": "Display name of the unit of measure." } }, "additionalProperties": false, "description": "A reference to a unit of measure." }, "R365.Inventory.Shared.Contracts.Items.ItemCategoryReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the item category." }, "name": { "type": "string", "nullable": true, "description": "Display name of the item category." } }, "additionalProperties": false, "description": "A reference to an item category." }, "R365.Inventory.Shared.Contracts.Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the user.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the user.", "nullable": true } }, "additionalProperties": false, "description": "A reference to a user." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````